/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <ox/std/stringview.hpp>

#define OLYMPIC_APP_PROVIDERS(projectName, projectNamespace) \
namespace projectNamespace { \
void registerKeelModules() noexcept; \
void registerStudioModules() noexcept; \
} \
namespace olympic { \
ox::StringView appName() noexcept {return projectName OLYMPIC_APP;} \
void loadKeelModules() noexcept {projectNamespace::registerKeelModules();} \
void loadStudioModules() noexcept {projectNamespace::registerStudioModules();} \
}
